# Definitions

Property in [Project](/2.3/api/csharp/yarn.compiler/yarn.compiler.project.md)

## Summary

Gets or sets the path to a JSON file containing command and function definitions that this project references.

```csharp
public string Definitions { get; set; }
```

## Remarks

Definitions files are used by editing tools to provide type information and other externally-defined data used by the Yarn scripts.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.3/api/csharp/yarn.compiler/yarn.compiler.project/yarn.compiler.project.definitions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
